; ----------------------------------------------------------------------
(defun C:SCALETXT ( / AS Wahl)
  (princ "\n--------- Skalieren von Texten in einer Zeichnung: --------")
  (setq Wahl (strcase (getstring "\nKomplett / Auswahl: <A>: ")))
  (if (= Wahl "") (setq Wahl "A"))
  (if (= Wahl "A") (progn
       (princ "\nWaehle Texte ... ")
       (setq AS (ssget (list (cons 0 "TEXT"))))
     ); progn
     (progn
        (setq AS (ssget "X" (list (cons 0 "TEXT"))))
  )); progn - if
  (if AS (progn
      (princ (sslength AS)) (princ " Texte gefunden")
      (setq scaleFakt (getreal "\nFaktor zum Skalieren eingeben: "))
      (setq Lauf -1)
      (while (setq ename (ssname AS (setq Lauf (1+ Lauf))))
        (setq elist (entget ename))
        (setq txtsize (cdr (assoc 40 elist)))
        (setq newTxtSize (* scaleFakt txtsize))
        (setq elist (subst (cons 40 newTxtSize) (assoc 40 elist) elist))
        (entmod elist)
      ) 
    ) ; progn
    ; else
      (princ " Keine Texte gefunden")
  ); if
  (princ)
)
; ----------------------------------------------------------------------
(defun C:TH ()
  (setq h (getreal "Neue Texthhe eingeben: "))
  (setq en (entnext))
  (while en
     (setq el (entget en))
     (if (assoc 1 el) (entmod (subst (cons 40 h) (assoc 40 el) el)))
     (setq en (entnext en))
  )
  (princ)
)

